Package org.jboss.logmanager

# Class ExtFormatter

java.lang.Object
java.util.logging.Formatter
org.jboss.logmanager.ExtFormatter

Direct Known Subclasses:
  `MultistepFormatter`, `StructuredFormatter`

public abstract class ExtFormatter extends Formatter
A formatter which handles `ExtLogRecord` instances.

## Constructor Summary

Constructors
Constructor
Description
`ExtFormatter()`

## Method Summary

Modifier and Type
Method
Description
`final String`
`format(LogRecord record)`
`abstract String`
`format(ExtLogRecord extLogRecord)`
Format a message using an extended log record.
`boolean`
`isCallerCalculationRequired()`
Determines whether or not this formatter will require caller, source level, information when a log record is formatted.

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtFormatter

public ExtFormatter()

## Method Details

### format

public final String format(LogRecord record)

Specified by:
  `format` in class `Formatter`

### format

public abstract String format(ExtLogRecord extLogRecord)
Format a message using an extended log record.

Parameters:
  `extLogRecord` - the log record
Returns:
  the formatted message

### isCallerCalculationRequired

public boolean isCallerCalculationRequired()
Determines whether or not this formatter will require caller, source level, information when a log record is formatted.

Returns:
  `true` if the formatter will need caller information, otherwise `false`
See Also:
  - `LogRecord.getSourceClassName()`
  - `ExtLogRecord.getSourceFileName()`
  - `ExtLogRecord.getSourceLineNumber()`
  - `LogRecord.getSourceMethodName()`